Ubuntu

[update request] nvidia-173.14.36 adds support for xserver ABI 13 [quantal and precise .2]

Reported by Flames_in_Paradise on 2012-10-09
164
This bug affects 29 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers-173 (Ubuntu)
Medium
Alberto Milone
Precise
Medium
Alberto Milone
Quantal
Medium
Alberto Milone
nvidia-graphics-drivers-173-updates (Ubuntu)
Undecided
Unassigned
Precise
Medium
Unassigned
Quantal
Undecided
Unassigned

Bug Description

New stable 173-driver was released on 2012.10.04
:
 * Added support for xserver ABI 13 (xorg-server 1.13)

http://www.nvidia.com/object/linux-display-ia32-173.14.36-driver.html
http://www.nvidia.com/object/linux-display-amd64-173.14.36-driver.html

Additional information is at hand on the linked pages in the drivers documentation.

So there woudln't be as many complaints as been seen on the last release...
if this could be included for the final-release of Quantal 12.10.

This regards also to nvidia-common (?)

and

nvidia-settings (which includes nvidia-xconfig)

Thanks for the great support to help making Ubuntu better every day.
Quantal beats W8 already by numbers :-)

description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Changed in nvidia-graphics-drivers-173-updates (Ubuntu):
status: New → Confirmed
affects: nvidia-graphics-drivers-173-updates (Ubuntu) → nvidia-graphics-drivers-173 (Ubuntu)
summary: [update request] nvidia-173.14.36 has been made fit for XServer 1.13
+ [quantal]
summary: - [update request] nvidia-173.14.36 has been made fit for XServer 1.13
+ [update request] nvidia-173.14.36 adds support for xserver ABI 13
[quantal]
tags: added: raring
Belar (belarian) on 2012-10-27
information type: Public → Public Security
information type: Public Security → Public

I've installed the 64bit version but whe I reboot:

1) It's evereything black so I have to put "nomodeset" after "quiet splash" in grub configuration.

2) Xorg fail and system says:

"The system is running in low-graphics mode
Your screen, graphics card, and input device settings could not be detected correctly. You will need to configure these yourself."

3) After it says "What you like to do?" so I tried to reconfigure graphics loading a new config or a backup one but it fails again so now it run only if I select "Run in low-graphics mode for just one session" every time I have to turn on my PC...

What I have to do?

Well, I assume you've done a manual installation of the .run file. In this case I strongly recommand to read the software-providers documentation b4. I've fighted my way through it a few years ago (Ubuntu 7.04 days).

A manual installation does _NOT_ pull in the required package-dependencies automatically. My bad - it took me quite a while to understand this then. If you are not willing to read the documentation - Just don't do it.

You'll need at least the kernel-headers-generic, DKMS, build-essential, xserver-xorg-dev. If you are stilll interested there might be a chance you can ask someone more experienced at your local Ubuntu Community. Probably there is which would even be better a local community wiki. Manual installation sometimes is o.k. Low graphics mode puts you in vesa-graphics state (repair mode).

This is one of the reasons why i placed this bug. Please don't misunderstand me, per favore: This platform is for bugreporting, it's not a help-forum. B U T you gave me an idea: I'll ask the X-swat-Team to provide a version for testing in advance via ppa-x-updates. It won't be there by the next days, because atm the experts are at he UDS-R.

I know at least 3 persons near your location that use+like Ubuntu, _and_ are quite good experts & helpful enthusiasts. CIAO

matrax_41 (matrax41) on 2012-11-07
Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: Confirmed → In Progress
status: In Progress → Confirmed
Bryce Harrington (bryce) on 2012-11-07
Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Medium
assignee: nobody → Alberto Milone (albertomilone)
Euro (o-msn) wrote :

Why is the driver 173 not running! I just want to use my computer like a normal human does!!!!

MartinE (martin-engbers-gmx) wrote :

Seriously, it's been four weeks since release, and the legacy nvidia driver is *still* uninstallable. Is anyone actually working on a fix? Alberto, can you give us some sort of feedback?

Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: Triaged → In Progress
Alberto Milone (albertomilone) wrote :

SRU request:

Please accept nvidia-graphics-drivers-173 in quantal-proposed. The package adds support for Quantal's and, as a plus, add support for Linux 3.7.

saty (a1028208) on 2012-11-26
summary: [update request] nvidia-173.14.36 adds support for xserver ABI 13
- [quantal]
+ [quantal
summary: [update request] nvidia-173.14.36 adds support for xserver ABI 13
- [quantal
+ [quantal]
Bryce Harrington (bryce) on 2012-11-26
Changed in nvidia-graphics-drivers-173 (Ubuntu Quantal):
importance: Undecided → Medium
status: New → In Progress
assignee: nobody → Alberto Milone (albertomilone)
Emanuele Sagona (zago84) wrote :

The same problem happened when in April I've installed Ubuntu 12.04. So it's the second time I sede this problem in the new release. This doesn't happened on 11.10 or older.
Is it a recedive problem? Will this happen every new Ubuntu release? Why this happen?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-173 - 173.14.36-0ubuntu1

---------------
nvidia-graphics-drivers-173 (173.14.36-0ubuntu1) raring; urgency=low

  * New upstream release:
    - Added support for xserver ABI 13 (xorg-server 1.13)
      (LP: #1064192).
  * Add support for Linux 3.7.
 -- Alberto Milone <email address hidden> Tue, 27 Nov 2012 11:55:50 +0100

Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: In Progress → Fix Released
MartinE (martin-engbers-gmx) wrote :

Will a fixed package be added to quantal-proposed?

Alberto Milone (albertomilone) wrote :

yes, as soon as my package is approved

You can simply get the .deb file and install it. Worked fine for me. Only thing is that I have a blank screen when I use Unity or gnome with effects :-(

Harri Haataja (realblades) wrote :

I tried the deb on Quantal as well and get the "Not using GLX TFP" -problem that nvidia won't fix. So unless gnome-shell gets fixed someday, that box will run in gnome fallback mode with bluetile. Might as well have stuck with VESA. I think gdm even ran a bit faster with it :)

Good confirmation to why I never voluntarily take anything with anything by nvidia or Via inside. Sadly, I may still occasionally have to support these things.

darkham (darkham) wrote :

I installed that http://www.nvidia.co.uk/object/linux-display-ia32-173.14.36-driver-uk.html and i've issues with unity, gnome shell as #11 and cinnamon 3d. No problems with gnome without effects. maybe an nvidia problem?

So.... Will that package be there before the end of the World (tomorrow, that is) ?

Changed in nvidia-graphics-drivers-173 (Ubuntu Quantal):
status: In Progress → Fix Committed
Oscar Andreis (oscarand77) wrote :

I can't see nvidia-173.14.36 package version into quantal repository: in which repository has been committed?
Also, I tried to download and install manually nvidia-173.14.36 package from Raring repository, but I get always a dependency issue.

Timo Aaltonen (tjaalton) on 2013-01-10
Changed in nvidia-graphics-drivers-173 (Ubuntu Quantal):
status: Fix Committed → In Progress
Timo Aaltonen (tjaalton) wrote :

Oscar: it's on the 'unapproved' queue

tags: added: unaproved
tags: added: unapproved
removed: unaproved

Looks to me like some special rightsare needed 2 to add such a tag?

Hello Flames_in_Paradise, or anyone else affected,

Accepted nvidia-graphics-drivers-173-updates into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-173-updates/173.14.36-0ubuntu0.0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Chris Halse Rogers (raof) wrote :

Hello Flames_in_Paradise, or anyone else affected,

Accepted nvidia-graphics-drivers-173 into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-173/173.14.36-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nvidia-graphics-drivers-173 (Ubuntu Quantal):
status: In Progress → Fix Committed
tags: removed: unapproved

I downloaded the package at "https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-173-updates/173.14.36-0ubuntu0.0.1/+build/4221038/+files/nvidia-173-updates_173.14.36-0ubuntu0.0.1_i386.deb" but I can't install it due to dependencies problems. I checked my package manager, I enabled the quantal-proposed repository but it stil contains the old package.
When it'll be uploaded to the proposed repository, the dependences will be automatically resolved?

I have installed it, using jockey, rebooted,, and i have the message in jockey : "the driver is activated but not in use"

Oscar Andreis (oscarand77) wrote :

Ok, Ubuntu Additional Drivers (jockey) utility installed nvidia-173 driver (nvidia-173-updates seems to be still not compatible).
You must configure manually the /etc/X11/xorg.config file: go to end anche change the line
Driver "Nouveau"
to
Driver "nvidia"

Reboot and you'll use the new NVidia driver (try glxgears inside a console to watch new performance)

jockey will tell you "Current driver is Activated but no in use", but it is a old bug that still returned (see http://ubuntuforums.org/showthread.php?t=1746436)

For me the package works fine: I can use again KDE with graphics effects successfully.
The only thing: you must modify the package to set automatically the Device key inside /etc/X11/xorg.config file

Oscar Andreis (oscarand77) wrote :

PS: I didn''t changed the tag to 'verification-done' because of missing Device key update inside file /etc/X11/xorg.config

Well, working for me (except the jockey message saying the driver is not in use), and i did not need to modifiy any config file.

tags: added: precise

Added tag "precise" because of "xserver-xorg-lts-quantal"

So it wouldn't harm to have an up-to-date nvidia-173 in Precise too

 :-)

jno (jnnayl) wrote :

Hi all,
I managed to load and install this new nvidia-173 driver from quantal-proposed restricted (173.14.36).
Installation on my ubuntu 12.10 amd64 seems to be Ok, load of nvidia driver seems to be correct while booting for my Geforce FX 5700 LE (I don't find any error in logs). BUT Unity fails to start at login (see x-0-greeter.log attached).
I need to manualy restart Unity from a terminal session to access desktop on X and then no launcher and no windows headers are displayed. Through CCSM, I have deactivated all effects, tried to unselect/reselect unity plugin to resolve conflicts with other plugins (CCSM signals plugins that have to be deactivated...) but no result !
Any idea about my issue ? Is this driver supposed to be Unity compatible ?

Oscar Andreis (oscarand77) wrote :

Unity will not start even in my case. I don't use it because (I hate it) and it need too many video card resources. You can check if your video card supports Unity with this command (you should have all 'yes''):
/usr/lib/nux/unity_support_test -p

In my case Gnome-shell too has these behavior: the environment start partially and remains unusable.
Use KDE, enable the graphics effetcs too, and enyoj!

description: updated

Looks a lot like nvidia-settings-173 got stuck somewhere on the way? Why ask for it in the 1st place?

ftp://download.nvidia.com/XFree86/nvidia-settings/

But can't find it Ubuntu:

https://launchpad.net/ubuntu/+source/nvidia-settings-updates/#
https://launchpad.net/ubuntu/+source/nvidia-settings/#

Thanks for the hard work to keep Ubuntu compatible with other linux-distros! :_P

Timo Jyrinki (timo-jyrinki) wrote :

Please someone with nvidia also test the updated version in precise. The jockey update got into -updates already, so that part should be ok.

Timo Jyrinki (timo-jyrinki) wrote :

I think the following test should work:

1. Enable precise-proposed, apt-get update
2. Via jockey, install the updated 173 series driver, and check that the correct version 173.14.36-0ubuntu0.0.1 was installed
3. Reboot, test that it works
4. Update to 12.04.2 stack with sudo apt-get install linux-generic-lts-quantal libgl1-mesa-dri-lts-quantal libegl1-mesa-drivers-lts-quantal
5. Reboot, test that the nvidia driver still works

Timo Jyrinki (timo-jyrinki) wrote :

Addition to 4. above: install also xserver-xorg-lts-quantal

.The package should really be getting a correlating "nvidia-settings-173" !

nvidia-settings-295.33 should be taken as EOL as the ancient driver is.

see also bug1100994 (associated to here)

It may sound rude, but I've asked for it in the first place, as it is the common way other distros deal with it.

Timo Jyrinki (timo-jyrinki) wrote :

De-duplicated the settings bug #1100994, which is different from this driver package.

If you have hardware supported by the nvidia 173 driver, please test the precise-proposed version 173.14.36-0ubuntu0.0.1 in 12.04 plus the 12.04.2 stack as instructed in comment #31 and #32.

summary: [update request] nvidia-173.14.36 adds support for xserver ABI 13
- [quantal]
+ [quantal and precise .2]
Colin Watson (cjwatson) on 2013-02-04
Changed in nvidia-graphics-drivers-173 (Ubuntu Precise):
status: New → Fix Committed
importance: Undecided → Medium
assignee: nobody → Alberto Milone (albertomilone)
milestone: none → ubuntu-12.04.2
Timo Aaltonen (tjaalton) wrote :

precise got the -updates package

Changed in nvidia-graphics-drivers-173-updates (Ubuntu Precise):
importance: Undecided → Medium
status: New → Fix Committed
milestone: none → ubuntu-12.04.2
Changed in nvidia-graphics-drivers-173 (Ubuntu Precise):
milestone: ubuntu-12.04.2 → none
status: Fix Committed → Invalid
Timo Aaltonen (tjaalton) wrote :

..and quantal still needs to update the -173-updates package..

I've tested the -173-updates for precise and -173 for quantal.

Timo Aaltonen (tjaalton) wrote :

Hmm, so -updates for this driver doesn't make sense anymore, which is probably why it wasn't updated for raring or quantal. People upgrading from precise might get screwed though?

tags: added: verification-done
removed: verification-needed

Any chance Unity will work using this driver or should I change my FX5200 NVIDIA ?

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-173 - 173.14.36-0ubuntu0.1

---------------
nvidia-graphics-drivers-173 (173.14.36-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release:
    - Added support for xserver ABI 13 (xorg-server 1.13)
      (LP: #1064192).
  * Add support for Linux 3.7.
 -- Alberto Milone <email address hidden> Thu, 22 Nov 2012 18:16:29 +0100

Changed in nvidia-graphics-drivers-173 (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-173-updates - 173.14.36-0ubuntu0.0.1

---------------
nvidia-graphics-drivers-173-updates (173.14.36-0ubuntu0.0.1) precise-proposed; urgency=low

  * New upstream release:
    - Added support for xserver ABI 13 (xorg-server 1.13)
      (LP: #1064192).
  * debian/substvars:
    - Add an alternative dependency on xserver-xorg-core-lts-quantal
      (LP: #1080588).
  * Add support for Linux 3.7.
 -- Alberto Milone <email address hidden> Thu, 22 Nov 2012 18:22:17 +0100

Changed in nvidia-graphics-drivers-173-updates (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers-173-updates (Ubuntu Quantal):
status: New → Confirmed
Changed in nvidia-graphics-drivers-173-updates (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments